# SourcePath: directfb/20110628dev
Summary: Hardware graphics acceleration library
Name: sony-target-dev-directfb
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-directfb
Version: 1.3.1
Release: 08000105
URL: http://www.directfb.org/
Source: DirectFB-%{version}.tar.gz
Patch0: fix-GetAcceleration.patch
Patch1: DirectFB-1.3.1-disable-asm.patch
Patch2: DirectFB-1.3.1_EV1.patch
Patch3: DirectFB-1.3.1_EV1-Kbuild-headers.patch
Patch4: DirectFB-1.3.1_EV1_r12542to14030.patch
License: LGPL2.1
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

# For Customer specific location
%define sony_target_dev_directfb_lib_dir  /usr/local/SONY/lib/directfb


%description
DirectFB - A hardware-accelerated graphics library on top of the Linux frame buffer device.

DirectFB is a thin library that provides developers with hardware graphics
acceleration, input device handling and abstraction, an integrated windowing
system with support for translucent windows and multiple display layers on top
of the Linux frame buffer device. It is a complete hardware abstraction layer
with software fallbacks for every graphics operation that is not supported by
the underlying hardware.

%package -n %{pkgname}
Summary: Hardware graphics acceleration library
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
DirectFB - A hardware-accelerated graphics library on top of the Linux frame buffer device.

DirectFB is a thin library that provides developers with hardware graphics
acceleration, input device handling and abstraction, an integrated windowing
system with support for translucent windows and multiple display layers on top
of the Linux frame buffer device. It is a complete hardware abstraction layer
with software fallbacks for every graphics operation that is not supported by
the underlying hardware.

%prep
%setup -q -n DirectFB-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
export PATH=/usr/bin:$PATH
autoreconf
%sony_target_dev_setup
export ac_cv_path_LIBPNG_CONFIG=%{sony_target_dir}%{sony_target_devtool_bin_dir}/libpng-config
export ac_cv_path_FREETYPE_CONFIG=%{sony_target_dir}%{sony_target_devtool_bin_dir}/freetype-config
export KBUILD_HEADERS=/usr/local/%{sony_tool_triplet}/kbuild
%demangle_XXX_config
%sony_target_dev_configure			\
	--enable-trace				\
	--with-inputdrivers=linuxinput		\
	--with-gfxdrivers=ev1			\
	--libdir=%{sony_target_dev_directfb_lib_dir}	\
	--enable-debug
make | tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall libdir=%{sony_target_dev_directfb_lib_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

%demangle_libtool

# 6.x
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_bin_dir}/*-config \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_bin_dir}

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
#mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
#        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../../..%{sony_target_devtool_lib_dir}/$l \
            ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/$l
    fi
done


%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_devtool_bin_dir}/directfb-config

%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/libdirect-1.3.so.0
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/libdirect-1.3.so.0.1.0
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/libdirect.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/libdirect.so
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/libdirectfb-1.3.so.0
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/libdirectfb-1.3.so.0.1.0
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/libdirectfb.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/libdirectfb.so
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/libfusion-1.3.so.0
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/libfusion-1.3.so.0.1.0
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/libfusion.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/libfusion.so
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/nm-n.libdirect-1.3.so.0
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/nm-n.libdirectfb-1.3.so.0
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/nm-n.libfusion-1.3.so.0

%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/wm/libdirectfbwm_default.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/wm/libdirectfbwm_default.so

%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBFont/libidirectfbfont_default.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBFont/libidirectfbfont_default.so
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBFont/libidirectfbfont_dgiff.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBFont/libidirectfbfont_dgiff.so
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBFont/libidirectfbfont_ft2.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBFont/libidirectfbfont_ft2.so
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_dfiff.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_dfiff.so
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_gif.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_gif.so
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_png.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_png.so
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_jpeg.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_jpeg.so
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBVideoProvider/libidirectfbvideoprovider_gif.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBVideoProvider/libidirectfbvideoprovider_gif.so
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBVideoProvider/libidirectfbvideoprovider_v4l.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/interfaces/IDirectFBVideoProvider/libidirectfbvideoprovider_v4l.so


%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/direct.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/directfb-internal.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/directfb.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/fusion.pc

%{sony_target_dir}%{sony_target_dev_data_dir}/directfb-1.3.1/cursor.dat

%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/clipboard.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/colorhash.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/core.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/core_parts.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/core_system.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/coredefs.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/coretypes.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/fonts.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/gfxcard.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/graphics_driver.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/input.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/input_driver.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/layer_context.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/layer_control.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/layer_region.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/layers.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/layers_internal.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/palette.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/screen.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/screens.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/screens_internal.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/state.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/surface.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/surface_buffer.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/surface_pool.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/surface_pool_bridge.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/system.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/windows.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/windows_internal.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/windowstack.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/wm.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/core/wm_module.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/display/idirectfbdisplaylayer.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/display/idirectfbpalette.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/display/idirectfbscreen.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/display/idirectfbsurface.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/display/idirectfbsurface_layer.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/display/idirectfbsurface_window.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/devmem/devmem.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/devmem/surfacemanager.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/gfx/clip.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/gfx/convert.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/gfx/generic/generic.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/gfx/util.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/idirectfb.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/input/idirectfbinputbuffer.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/input/idirectfbinputdevice.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/media/idirectfbdatabuffer.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/media/idirectfbfont.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/media/idirectfbimageprovider.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/media/idirectfbvideoprovider.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/misc/conf.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/misc/gfx_util.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/misc/util.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/windows/idirectfbwindow.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/dfb_types.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/dfiff.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/dgiff.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/build.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/clock.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/conf.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/debug.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/direct.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/hash.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/interface.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/interface_implementation.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/list.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/log.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/mem.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/memcpy.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/messages.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/modules.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/serial.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/signals.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/stream.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/system.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/thread.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/trace.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/tree.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/types.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/utf8.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/direct/util.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/directfb.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/directfb_keyboard.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/directfb_keynames.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/directfb_strings.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/directfb_util.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/directfb_version.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/directfbgl.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/arena.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/build.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/call.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/conf.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/fusion.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/fusion_internal.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/hash.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/lock.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/object.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/property.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/protocol.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/reactor.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/ref.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/shm/pool.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/shm/shm.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/shm/shm_internal.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/shmalloc.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/types.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb/fusion/vector.h

%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/fbdev/agp.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/fbdev/fb.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/fbdev/fbdev.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/fbdev/surfacemanager.h
%{sony_target_dir}%{sony_target_dev_include_dir}/directfb-internal/fbdev/vt.h
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/systems/libdirectfb_fbdev.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/systems/libdirectfb_fbdev.so
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/systems/libdirectfb_devmem.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/systems/libdirectfb_devmem.so
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/inputdrivers/libdirectfb_linux_input.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/inputdrivers/libdirectfb_linux_input.so
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/gfxdrivers/libdirectfb_ev1.la
%{sony_target_dir}%{sony_target_dev_directfb_lib_dir}/directfb-1.3-0/gfxdrivers/libdirectfb_ev1.so
 

%changelog
* Thu Sep 27 2012 Sony Corporation
- Added EV1_r12542to14030 patch

* Tue Feb 21 2012 Sony Corporation
- Added --with-gfxdrivers=ev1 in config

* Wed Feb 15 2012 Sony Corporation
- Added EV1 patch

* Wed Jul 13 2011 Sony Corporation
- Enable jpeg support and added libdir=/usr/local/SONY/lib/directfb as customer specific

* Thu Jun 30 2011 Sony Corporation
- Version updated to 1.3.1

* Mon Mar 28 2011 Sony Corporation
- Refreshed directfb build support for png-1.4.X patch

* Wed Mar 16 2011 Sony Corporation
- Added directfb build support using png-1.4.X

* Wed Dec 16 2009 Sony Corporation
- Add fix-GetAcceleration.patch

* Mon Jun 22 2009 Sony Corporation
- Enabled system/fbdev and input drivers except for mips

* Wed Apr 22 2009 Sony Corporation
- Updated to 1.3.0

* Tue Jun 17 2008 Sony Corporation
- Initial build
